<?php


################################################################################
# $Id: check_mk-cisco_cpu.php 263 2011-12-15 16:09:22Z twollner $
# Descr: Cisco CPU Utilization check_mk PNP Template
# $Author: twollner $
# $Date: 2011-12-15 17:09:22 +0100 (Do, 15 Dez 2011) $
# $Rev: 263 $
################################################################################


# Datensatze:
# 1 - a - 5sec=6
# 2 - b - 1min=2
# 3 - c - 5min=1


$ds_name[1] = "Cisco CPU Utilization";
$opt[1] = "--vertical-label 'Percent' --title \"$hostname / $servicedesc\" ";


$def[1] = rrd::def("a", $RRDFILE[1], $DS[1], "AVERAGE");
$def[1] .= rrd::line1("a", "#FF66FF", "5 sec");
$def[1] .= rrd::gprint("a", array("LAST", "MAX", "AVERAGE"), "%6.0lf %%");

$def[1] .= rrd::def("b", $RRDFILE[1], $DS[2], "AVERAGE");
$def[1] .= rrd::line1("b", "#9999FF", "1 min");
$def[1] .= rrd::gprint("b", array("LAST", "MAX", "AVERAGE"), "%6.0lf %%");

$def[1] .= rrd::def("c", $RRDFILE[1], $DS[3], "AVERAGE");
$def[1] .= rrd::line1("c", "#0066FF", "5 min");
$def[1] .= rrd::gprint("c", array("LAST", "MAX", "AVERAGE"), "%6.0lf %%");


?>

